Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.xml.dom
Class Consumer

    java.lang.Object
      |
      +--gnu.xml.pipeline.DomConsumer
            |
            +--gnu.xml.dom.Consumer

All Implemented Interfaces:
  EventConsumer

public class Consumer
extends DomConsumer

Event consumer which constructs DOM documents using the implementation in this package, using SAX2 events. This packages various backdoors into this DOM implementation, as needed to address DOM requirements that can't be met by strictly conforming implementations of DOM.

These requirements all relate to `DocumentType` nodes and features of that node type. These features are normally not used, because that interface only exposes a subset of the information found in DTDs. More, that subset does not include the most important typing information. For example, it excludes element content models and attribute typing. It does expose some entity management issues, although entity management doesn't relate to document typing.

Note that SAX2 does not expose the literal text of the DTD's internal subset, so it will not be present in DOM trees constructed using this API. (Though with a good SAX2 implementation, it could be partially recreated...)

Version:
  $Date: 2001/11/20 04:46:24 $
Author:
  David Brownell

Inner Class Summary
`static class` | `Consumer.Backdoor` Implements the backdoors needed by DOM.

Inner classes inherited from class gnu.xml.pipeline.DomConsumer
`DomConsumer.Handler`

Constructor Summary
`Consumer()` Constructs an unconfigured event consumer, as a terminus in a SAX event pipeline.
`Consumer(EventConsumer next)` Constructs an unconfigured event consumer, as a stage in a SAX event pipeline.

Methods inherited from class gnu.xml.pipeline.DomConsumer
`getContentHandler, getDocument, getDTDHandler, getProperty, isHidingCDATA, isHidingComments, isHidingReferences, isHidingWhitespace, setErrorHandler, setHandler, setHidingCDATA, setHidingComments, setHidingReferences, setHidingWhitespace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Consumer

    public Consumer()
             throws SAXException

  Constructs an unconfigured event consumer, as a terminus in a SAX event pipeline.

### Consumer

    public Consumer(EventConsumer next)
             throws SAXException

  Constructs an unconfigured event consumer, as a stage in a SAX event pipeline.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Source code is under GPL (with library exception) in the JAXP project at http://www.gnu.org/software/classpathx/jaxp
This documentation was derived from that source code on 2001-11-20.